ruby1.8 1.8.6.36-1ubuntu3.2 source package in Ubuntu

Changelog

ruby1.8 (1.8.6.36-1ubuntu3.2) gutsy-security; urgency=low

  * SECURITY UPDATE: denial of service or arbitrary code execution via
    integer overflows and memory corruption
  * debian/patches/102_CVE-2008-2662+2663+2664+2725+2726.dpatch: update
    array.c to properly validate the size of an array. Update string.c and
    sprintf.c for proper bounds checking
  * References:
    CVE-2008-2662
    CVE-2008-2663
    CVE-2008-2664
    CVE-2008-2725
    CVE-2008-2726
    LP: #241657

 -- Jamie Strandboge <email address hidden>   Wed, 25 Jun 2008 15:31:40 -0400

Upload details

Uploaded by:
Jamie Strandboge on 2008-06-26
Uploaded to:
Gutsy
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
interpreters
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ruby1.8_1.8.6.36.orig.tar.gz 4.3 MiB 1a9db5f4720a7023d9ecfaa6c4128ecb5f8cd59460744fb4b5f3b64ed3786935
ruby1.8_1.8.6.36-1ubuntu3.2.diff.gz 46.1 KiB b43424ee047dc277e9fb7e5c93534ed4ca5b62f87c16043345aad01159a5c448
ruby1.8_1.8.6.36-1ubuntu3.2.dsc 1.1 KiB 1c20ef0137adb6ddaf34bc74bd28bcbb6ce7fc81629dea65db3716c3d865dec9

View changes file

Binary packages built by this source

irb1.8: No summary available for irb1.8 in ubuntu gutsy.

No description available for irb1.8 in ubuntu gutsy.

libdbm-ruby1.8: No summary available for libdbm-ruby1.8 in ubuntu gutsy.

No description available for libdbm-ruby1.8 in ubuntu gutsy.

libgdbm-ruby1.8: No summary available for libgdbm-ruby1.8 in ubuntu gutsy.

No description available for libgdbm-ruby1.8 in ubuntu gutsy.

libopenssl-ruby1.8: No summary available for libopenssl-ruby1.8 in ubuntu gutsy.

No description available for libopenssl-ruby1.8 in ubuntu gutsy.

libreadline-ruby1.8: No summary available for libreadline-ruby1.8 in ubuntu gutsy.

No description available for libreadline-ruby1.8 in ubuntu gutsy.

libruby1.8: No summary available for libruby1.8 in ubuntu gutsy.

No description available for libruby1.8 in ubuntu gutsy.

libruby1.8-dbg: No summary available for libruby1.8-dbg in ubuntu gutsy.

No description available for libruby1.8-dbg in ubuntu gutsy.

libtcltk-ruby1.8: No summary available for libtcltk-ruby1.8 in ubuntu gutsy.

No description available for libtcltk-ruby1.8 in ubuntu gutsy.

rdoc1.8: No summary available for rdoc1.8 in ubuntu gutsy.

No description available for rdoc1.8 in ubuntu gutsy.

ri1.8: No summary available for ri1.8 in ubuntu gutsy.

No description available for ri1.8 in ubuntu gutsy.

ruby1.8: No summary available for ruby1.8 in ubuntu gutsy.

No description available for ruby1.8 in ubuntu gutsy.

ruby1.8-dev: No summary available for ruby1.8-dev in ubuntu gutsy.

No description available for ruby1.8-dev in ubuntu gutsy.

ruby1.8-elisp: No summary available for ruby1.8-elisp in ubuntu gutsy.

No description available for ruby1.8-elisp in ubuntu gutsy.

ruby1.8-examples: No summary available for ruby1.8-examples in ubuntu gutsy.

No description available for ruby1.8-examples in ubuntu gutsy.